| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Communication
.NET (C# / VB) » Controller

Send commands. More...

## Functions
string | gclib.GCommand (string Command, bool Trim=true)
| Used for command-and-response transactions.
Int16 | gclib.GCmdI (string Command)
| Used for command-and-response transactions.
double | gclib.GCmdD (string Command)
| Used for command-and-response transactions.

## Detailed Description

Send commands.

## Function Documentation

## ◆ GCommand()

string gclib.GCommand | ( | string | Command,
|  | bool | Trim = true )
| inline

Used for command-and-response transactions.

Parameters

  Command | The command to send to the controller. Do not append a carriage return. Use only ASCII-based commmands.
  Trim | If true, the response will be trimmed of the trailing colon and any leading or trailing whitespace.

Returns
  The command's response.

Wrapper around gclib GCommand(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a5ac031e76efc965affdd73a1bec084a8

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 241 of file gclib.cs.

## ◆ GCmdI()

Int16 gclib.GCmdI | ( | string | Command | ) |
| inline

Used for command-and-response transactions.

Parameters

  Command | The command to send to the controller. Do not append a carriage return. Use only ASCII-based commmands.

Returns
  The command's response parsed as an integer.

Wrapper around gclib GCmdI(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a5ac031e76efc965affdd73a1bec084a8

Definition at line 273 of file gclib.cs.

## ◆ GCmdD()

double gclib.GCmdD | ( | string | Command | ) |
| inline

Used for command-and-response transactions.

Parameters

  Command | The command to send to the controller. Do not append a carriage return. Use only ASCII-based commmands.

Returns
  The command's response parsed as a double.

Wrapper around gclib GCmdD(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a5ac031e76efc965affdd73a1bec084a8

Definition at line 287 of file gclib.cs.